Need help? Chat now!

Hostwinds Tutoriels

Résultats de recherche pour:


Table des matières


Exigences de Drupal 7
Espace disque
Serveur Web
Base de données
PHP
Exigences de Drupal 8
Serveur Web
Serveur de base de données
Versions PHP prises en charge

Configuration système requise pour Drupal

Mots clés Drupal 

Exigences de Drupal 7
Espace disque
Serveur Web
Base de données
PHP
Exigences de Drupal 8
Serveur Web
Serveur de base de données
Versions PHP prises en charge

Drupal est un système de gestion de contenu open source pour la construction de sites Web.Ce guide a l'intention d'informer les clients Hostwinds intéressés par les exigences du système de Drupal avant d'installer et d'exécuter Drupal.C'est l'une des applications les plus courantes que de nombreux clients choisissent avec un plan d'hébergement partagé ou professionnel lors de la démarrage avec Hostwinds.Ce guide est également pertinent pour les clients Hostwinds Cloud, VPS et Serveur dédié qui cherchent à configurer leurs services d'hébergement Web afin de prendre en charge une version spécifique de Drupal.

Exigences de Drupal 7

Espace disque

Une installation minimale nécessite 15 mégaoctets. 60 Mo est nécessaire pour un site web avec de nombreux modules et thèmes contribués installés. N'oubliez pas que vous avez besoin de beaucoup plus pour la base de données, les fichiers téléchargés par les utilisateurs, les supports, les sauvegardes et d'autres fichiers.

Serveur Web

Apache, Nginx, Microsoft IIS ou tout autre serveur Web avec support PHP approprié.

Base de données

  • MySQL 5.0.15 / MariaDB 5.1.44 / Percona Server 5.1.70 ou supérieur avec PDO,
  • PostgreSQL 8.3 ou supérieur avec PDO,
  • SQLite 3.3.7 ou supérieur

PHP

PHP 5.2.5 ou supérieur (5.4 ou supérieur recommandé).

DRUPAL 7 exigences fournies par la page officielle de Drupal ici et sujet à changement.

Exigences de Drupal 8

Serveur Web

Apache, Nginx, Microsoft IIS ou tout autre serveur Web avec support PHP approprié.

Serveur de base de données

  • MySQL 5.5.3
  • MariaDB 5.5.20
  • Serveur Percona 5.5.8
  • (versions supérieures ou supérieures avec InnoDB comme moteur de stockage principal et nécessite l'extension de base de données PDO)
  • PostgreSQL 9.1.2 ou supérieur
  • Prend en charge SQLite 3.6.8 ou supérieur
  • Des modules supplémentaires prennent en charge Microsoft SQL Server et MongoDB.

Versions PHP prises en charge

Version PHPSupportéRecommandé? 5.55.5.9+

No5.6Yes

No7.0Yes

No7.1Yes

Oui 7.2 Oui à partir de Drupal 8.5.0 *

Oui

DRUPAL 8 exigences fournies par la page officielle de Drupal ici et sujet à changement.

Écrit par Hostwinds Team  /  août 30, 2018